# inspired from fedora spec file
# Copyright (c) 2013-2016 Shawn Iwinski <shawn.iwinski@gmail.com>
# License: MIT
# https://opensource.org/licenses/MIT

%define github_name     log
%define composer_name   log
%define composer_vendor psr

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:      php-%{composer_vendor}-%{composer_name}
Version:   3.0.2
Release:   %mkrel 2
Summary:   Common interface for logging libraries
Group:     Development/PHP
License:   MIT
URL:       https://www.php-fig.org/psr/psr-3/
Source0:   https://github.com/php-fig/log/archive/refs/tags/%{version}.tar.gz
# composer.json
Requires:  php >= 5.3.0
# autoloader
Requires:  php-composer(fedora/autoloader)
Provides:  php-composer(%{composer_vendor}/%{composer_name}) = %{version}
BuildArch: noarch

%description
This package holds all interfaces/classes/traits related to PSR-3 [1].

Note that this is not a logger of its own. It is merely an interface that
describes a logger. See the specification for more details.

[1] https://www.php-fig.org/psr/psr-3/

Autoloader: %{php_libdir}/Psr/Log/autoload.php

%prep
%setup -qn %{github_name}-%{version}


%build

%install
mkdir -p %{buildroot}%{php_libdir}/Psr/Log
cd src
cp -pr * %{buildroot}%{php_libdir}/Psr/Log/

cat > %{buildroot}%{php_libdir}/Psr/Log/autoload.php <<'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{_datadir}/php/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Psr\\Log\\', __DIR__);
EOF

%files
%doc LICENSE
%doc README.md
%doc composer.json
%{_datadir}/php/Psr


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.0.2-2.mga10
+ Revision: 2228472
- Mageia 10 Mass Rebuild

* Wed Oct 02 2024 mokraemer <mokraemer> 3.0.2-1.mga10
+ Revision: 2102613
- new version 3.0.2

* Tue Apr 19 2022 mokraemer <mokraemer> 3.0.0-1.mga9
+ Revision: 1851922
- new version 3.0.0

* Mon Mar 21 2022 umeabot <umeabot> 1.1.3-2.mga9
+ Revision: 1812584
- Mageia 9 Mass Rebuild

* Sun Apr 12 2020 guillomovitch <guillomovitch> 1.1.3-1.mga8
+ Revision: 1567021
- new version 1.1.3

* Mon Feb 17 2020 umeabot <umeabot> 1.1.2-2.mga8
+ Revision: 1537680
- Mageia 8 Mass Rebuild

* Wed Nov 06 2019 guillomovitch <guillomovitch> 1.1.2-1.mga8
+ Revision: 1458503
- new version 1.1.2

* Tue Oct 29 2019 guillomovitch <guillomovitch> 1.1.1-1.mga8
+ Revision: 1456610
- new version 1.1.1

* Tue Nov 27 2018 guillomovitch <guillomovitch> 1.1.0-1.mga7
+ Revision: 1335958
- new version 1.1.0

* Thu Sep 20 2018 umeabot <umeabot> 1.0.2-3.mga7
+ Revision: 1287871
- Mageia 7 Mass Rebuild

* Thu Oct 05 2017 guillomovitch <guillomovitch> 1.0.2-2.mga7
+ Revision: 1169002
- misc cosmetics enhancements

* Wed Apr 19 2017 guillomovitch <guillomovitch> 1.0.2-1.mga6
+ Revision: 1096860
- imported package php-psr-log

